[Piuparts-commits] [piuparts] 05/07: reindent some custom scripts

Holger Levsen holger at moszumanska.debian.org
Mon Nov 2 17:19:00 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch develop
in repository piuparts.

commit 9f768c505044a9aff9141a9710d3f78a9ca20ac9
Author: Andreas Beckmann <anbe at debian.org>
Date:   Mon Nov 2 17:41:30 2015 +0100

    reindent some custom scripts
    
    Signed-off-by: Andreas Beckmann <anbe at debian.org>
---
 custom-scripts/scripts/pre_distupgrade_exceptions |  36 +++----
 custom-scripts/scripts/pre_install_exceptions     | 123 +++++++++++-----------
 custom-scripts/scripts/pre_remove_exceptions      |   4 +-
 3 files changed, 82 insertions(+), 81 deletions(-)

diff --git a/custom-scripts/scripts/pre_distupgrade_exceptions b/custom-scripts/scripts/pre_distupgrade_exceptions
index ea808d8..d75aba6 100755
--- a/custom-scripts/scripts/pre_distupgrade_exceptions
+++ b/custom-scripts/scripts/pre_distupgrade_exceptions
@@ -9,10 +9,10 @@ if [ "$PIUPARTS_DISTRIBUTION_NEXT" = "squeeze" ]; then
 
 	case ${PIUPARTS_OBJECTS%%=*} in
 		crm114)
-				#562946
-				log_debug
-				echo "crm114 crm114/forceupgrade boolean true" | debconf-set-selections
-				;;
+			#562946
+			log_debug
+			echo "crm114 crm114/forceupgrade boolean true" | debconf-set-selections
+			;;
 	esac
 
 	# squeeze does not properly upgrade adduser.conf, so generate a new one
@@ -31,25 +31,23 @@ fi
 
 if [ "$PIUPARTS_DISTRIBUTION_NEXT" = "wheezy" ]; then
 
-	# dpkg 1.16 does not like the bad cnews version number cr.g7-40.4
-	# cnews was removed after lenny
 	case ${PIUPARTS_OBJECTS%%=*} in
 		cnews)
-				log_debug
-				dpkg --purge cnews
-				;;
-	esac
-
-	# WORKSAROUND #698562: upgrade from squeeze => wheezy fails if database has not been created before the upgrade
-	case ${PIUPARTS_OBJECTS%%=*} in
+			# dpkg 1.16 does not like the bad cnews version number cr.g7-40.4
+			# cnews was removed after lenny
+			log_debug
+			dpkg --purge cnews
+			;;
 		pdns-backend-mysql)
-				log_debug
-				dpkg --purge pdns-backend-mysql
-				;;
+			# WORKSAROUND #698562: upgrade from squeeze => wheezy fails if database has not been created before the upgrade
+			log_debug
+			dpkg --purge pdns-backend-mysql
+			;;
 		pdns-backend-pgsql)
-				log_debug
-				dpkg --purge pdns-backend-pgsql
-				;;
+			# WORKSAROUND #698562: upgrade from squeeze => wheezy fails if database has not been created before the upgrade
+			log_debug
+			dpkg --purge pdns-backend-pgsql
+			;;
 	esac
 
 	# WORKSAROUND #655969: lirc: prompting due to modified conffiles which where not modified by the user: /etc/lirc/hardware.conf
diff --git a/custom-scripts/scripts/pre_install_exceptions b/custom-scripts/scripts/pre_install_exceptions
index 4ca7fb5..9ce3875 100755
--- a/custom-scripts/scripts/pre_install_exceptions
+++ b/custom-scripts/scripts/pre_install_exceptions
@@ -61,26 +61,29 @@ if [ "$PIUPARTS_PHASE" != "install" ]; then
 fi
 
 case ${PIUPARTS_OBJECTS%%=*} in
-	samhain)		log_debug
-				# work around #749602
-				mkdir -p /var/state/samhain/
-				touch /var/state/samhain/samhain_file
-				;;
-	fai-nfsroot)		log_debug
-				# fai-nfsroot refuses installation unless this file exist
-				touch /.THIS_IS_THE_FAI_NFSROOT
-				;;
+	samhain)
+			# work around #749602
+			log_debug
+			mkdir -p /var/state/samhain/
+			touch /var/state/samhain/samhain_file
+			;;
+	fai-nfsroot)
+			# fai-nfsroot refuses installation unless this file exist
+			log_debug
+			touch /.THIS_IS_THE_FAI_NFSROOT
+			;;
 	education-thin-client|\
 	ltsp-client|\
-	ltsp-client-core)	log_debug
-				# ltsp-client-core refuses installation unless this file exist
-				touch /etc/ltsp_chroot
-				;;
+	ltsp-client-core)
+			# ltsp-client-core refuses installation unless this file exist
+			log_debug
+			touch /etc/ltsp_chroot
+			;;
 	ffgtk|\
 	roger-router|\
 	roger-router-cli)
-			log_debug
 			# postinst tries to add a printer with lpadmin
+			log_debug
 			dpkg-divert --rename /usr/sbin/lpadmin
 			;;
 	bugzilla3)
@@ -154,18 +157,18 @@ if [ "$PIUPARTS_DISTRIBUTION" = "squeeze" ]; then
 
 	case ${PIUPARTS_OBJECTS%%=*} in
 		bootcd-ia64)
-				if [ "$PIUPARTS_TEST" = "distupgrade" ] && [ "$(uname -m)" = "x86_64" ]; then
-					#622690: bootcd-ia64 has a Pre-Depends/Depends cycle that apt cannot resolve
-					log_debug
-					apt-get -y install bootcd-i386
-				fi
-				;;
-		mini-buildd-bld|mini-buildd-rep)
-				#632955, #656746 - time limit exceeded during install
+			if [ "$PIUPARTS_TEST" = "distupgrade" ] && [ "$(uname -m)" = "x86_64" ]; then
+				#622690: bootcd-ia64 has a Pre-Depends/Depends cycle that apt cannot resolve
 				log_debug
-				echo "*** ABORT - Installation would deadlock ***"
-				exit 1
-				;;
+				apt-get -y install bootcd-i386
+			fi
+			;;
+		mini-buildd-bld|mini-buildd-rep)
+			#632955, #656746 - time limit exceeded during install
+			log_debug
+			echo "*** ABORT - Installation would deadlock ***"
+			exit 1
+			;;
 	esac
 
 fi
@@ -175,53 +178,53 @@ if [ "$PIUPARTS_DISTRIBUTION" = "lenny" ]; then
 	# install undeclared dependencies
 	case ${PIUPARTS_OBJECTS%%=*} in
 		clamav-getfiles)
-				#603082
-				log_debug
-				apt-get -y install curl
-				;;
+			#603082
+			log_debug
+			apt-get -y install curl
+			;;
 		cyrus-*-2.2|sa-learn-cyrus)
-				#694254 db4.2-util exists in lenny only and is needed for upgrades to wheezy
-				log_debug
-				apt-get -y install db4.2-util
-				;;
+			#694254 db4.2-util exists in lenny only and is needed for upgrades to wheezy
+			log_debug
+			apt-get -y install db4.2-util
+			;;
 		debian-edu-artwork-usplash)
-				# postinst fails without update-initramfs
-				log_debug
-				apt-get -y install initramfs-tools
-				;;
+			# postinst fails without update-initramfs
+			log_debug
+			apt-get -y install initramfs-tools
+			;;
 		gforge-shell-postgresql|gforge-plugin-scmcvs|gforge-plugin-scmsvn)
-				#604218
-				log_debug
-				apt-get -y install libcap2
-				;;
+			#604218
+			log_debug
+			apt-get -y install libcap2
+			;;
 		otrs2)
-				#561889
-				log_debug
-				apt-get -y install libapache2-mod-perl2
-				;;
+			#561889
+			log_debug
+			apt-get -y install libapache2-mod-perl2
+			;;
 		sdic-gene95)
-				#478592
-				log_debug
-				apt-get -y install bzip2 wget
-				;;
+			#478592
+			log_debug
+			apt-get -y install bzip2 wget
+			;;
 		tftpd-hpa)
-				#522780
-				log_debug
-				apt-get -y install update-inetd
-				;;
+			#522780
+			log_debug
+			apt-get -y install update-inetd
+			;;
 		ttf-beteckna)
-				#502707
-				log_debug
-				apt-get -y install defoma
-				;;
+			#502707
+			log_debug
+			apt-get -y install defoma
+			;;
 	esac
 
 	# prefer inn over cnews (bad version number cr.g7-40.4)
 	case ${PIUPARTS_OBJECTS%%=*} in
 		newsx|post-faq)
-				log_debug
-				apt-get -y install inn
-				;;
+			log_debug
+			apt-get -y install inn
+			;;
 	esac
 
 	# work around postinst failures
diff --git a/custom-scripts/scripts/pre_remove_exceptions b/custom-scripts/scripts/pre_remove_exceptions
index b431250..f123b00 100755
--- a/custom-scripts/scripts/pre_remove_exceptions
+++ b/custom-scripts/scripts/pre_remove_exceptions
@@ -14,16 +14,16 @@ case ${PIUPARTS_OBJECTS%%=*} in
 		fi
 		;;
 	apt-listbugs)
-		log_debug
 		# cleanup from post_install_exceptions
+		log_debug
 		rm -f /usr/sbin/apt-listbugs
 		dpkg-divert --remove --rename /usr/sbin/apt-listbugs
 		;;
 	ffgtk|\
 	roger-router|\
 	roger-router-cli)
-		log_debug
 		# cleanup from pre_install_exceptions
+		log_debug
 		dpkg-divert --remove --rename /usr/sbin/lpadmin
 		;;
 esac

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/piuparts/piuparts.git



More information about the Piuparts-commits mailing list